GitHubリポジトリを読み取れません
この問題が発生すると、APIは422 Unprocessable Contentを返します。そのtypeはhttps://lingo.dev/docs/api/errors/github-repository-unreadableです。すべてのエラーに共通する形式については、エラーとステータスコードをご覧ください。
<repository>の履歴をインポートできません。この接続で使用しているGitHub Appのインストールでは、このリポジトリを読み取れません。この接続のリポジトリから選択するか、GitHubでこのリポジトリへのアクセスをGitHub Appに許可してください。
フィールド#
レスポンス本文には、標準のtype、status、title、detailメンバーに加え、次のフィールドが含まれます。detailのテキストはこれらのフィールドから生成されるため、クライアント側で独自のテキストに置き換えて表示できます。
| フィールド | 型 |
|---|---|
repository | string |
例#
json
{
"detail": "Cannot import the history of <repository>. The GitHub App installation behind this connection cannot read it. Pick one of the connection's repositories, or grant the App access to it on GitHub.",
"repository": "<repository>",
"type": "https://lingo.dev/docs/api/errors/github-repository-unreadable",
"status": 422,
"title": "GitHub repository unreadable"
}このエラーを返すエンドポイント#
POST /v2/organizations/{orgId}/github/connections/{connectionId}/import-history